mscorlib 2.0.0.0 4.0.0.0 System.Enum

is the largest currently defined ACE type. Custom ACE types must be defined to have values larger than .

Defines the available access control entry (ACE) types.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Allows access to an object for a specific trustee identified by an object.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Allows access to an object for a specific trustee identified by an object. This ACE type may contain optional callback data. The callback data is a resource manager–specific BLOB that is not interpreted.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Allows access to an object, property set, or property. The ACE contains a set of access rights, a GUID that identifies the type of object, and an object that identifies the trustee to whom the system will grant access. The ACE also contains a GUID and a set of flags that control inheritance of the ACE by child objects. This ACE type may contain optional callback data. The callback data is a resource manager–specific BLOB that is not interpreted.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Defined but never used. Included here for completeness.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Allows access to an object, property set, or property. The ACE contains a set of access rights, a GUID that identifies the type of object, and an object that identifies the trustee to whom the system will grant access. The ACE also contains a GUID and a set of flags that control inheritance of the ACE by child objects.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Denies access to an object for a specific trustee identified by an object.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Denies access to an object for a specific trustee identified by an object. This ACE type can contain optional callback data. The callback data is a resource manager–specific BLOB that is not interpreted.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Denies access to an object, property set, or property. The ACE contains a set of access rights, a GUID that identifies the type of object, and an object that identifies the trustee to whom the system will grant access. The ACE also contains a GUID and a set of flags that control inheritance of the ACE by child objects. This ACE type can contain optional callback data. The callback data is a resource manager–specific BLOB that is not interpreted.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Denies access to an object, property set, or property. The ACE contains a set of access rights, a GUID that identifies the type of object, and an object that identifies the trustee to whom the system will grant access. The ACE also contains a GUID and a set of flags that control inheritance of the ACE by child objects.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Tracks the maximum defined ACE type in the enumeration.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Reserved for future use.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Reserved for future use.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Reserved for future use.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Reserved for future use.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Causes an audit message to be logged when a specified trustee attempts to gain access to an object. The trustee is identified by an object.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Causes an audit message to be logged when a specified trustee attempts to gain access to an object. The trustee is identified by an object. This ACE type can contain optional callback data. The callback data is a resource manager–specific BLOB that is not interpreted.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Causes an audit message to be logged when a specified trustee attempts to gain access to an object or subobjects such as property sets or properties. The ACE contains a set of access rights, a GUID that identifies the type of object or subobject, and an object that identifies the trustee for whom the system will audit access. The ACE also contains a GUID and a set of flags that control inheritance of the ACE by child objects. This ACE type can contain optional callback data. The callback data is a resource manager–specific BLOB that is not interpreted.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType

  Causes an audit message to be logged when a specified trustee attempts to gain access to an object or subobjects such as property sets or properties. The ACE contains a set of access rights, a GUID that identifies the type of object or subobject, and an object that identifies the trustee for whom the system will audit access. The ACE also contains a GUID and a set of flags that control inheritance of the ACE by child objects.